MONGOC_CLIENT_SESSION_IN_TRANSACTION(3)

NAME
mongoc_client_session_in_transaction - mongoc_client_session_in_transaction()

SYNOPSIS

bool
mongoc_client_session_in_transaction (const mongoc_client_session_t *session);

Check whether a multi-document transaction is in progress for this session.

PARAMETERS

•   session: A mongoc_client_session_t.

RETURN

Returns true if a transaction was started and has not been committed or aborted, otherwise false.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc